<?php
// +----------------------------------------------------------------------
// | 修改密码
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;

use app\common\controller\_Admin;
use app\admin\model\AuthAdmin as Admin;

class admin_pwd extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->update($param);
        }

        return $this->fetch('auth/admin/pwd');
    }
    
    // 修改密码
    private function update($param=[]) {
        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $data = [
            'id' => $this->admin['id'],
            'pwd' => md5($param['pwd2'].strtotime($this->admin['create_time']))
        ];
        
        $res = Admin::update($data);
        if ($res != false) {
            return $this->_json('00', '修改成功！');
        }

        return $this->_json('01', '修改失败！');
    }

    // 新增条件过滤
    private function _where($param=[]) {

        if (!self::isset_empty($param, 'pwd1')) return $this->_json('01', '请输入当前密码');
        if (!self::isset_empty($param, 'pwd2')) return $this->_json('01', '请输入新密码');
        if (!self::isset_empty($param, 'pwd3')) return $this->_json('01', '请输入二次密码');
        if ($param['pwd3'] != $param['pwd2']) return $this->_json('01', '二次密码不正确！');

        $time = strtotime($this->admin['create_time']);

        if (md5($param['pwd1'].$time) != $this->admin['pwd']) {
            return $this->_json('01', '当前密码错误！');
        }
        
        return true;
    }
}
