<?php
// +----------------------------------------------------------------------
// | 登录页面
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Login;

use app\common\controller\_Admin;

class index extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
        // 启动模板布局
        $this->view->engine->layout(false);
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        # 如果已经登录则自动跳转到主页
        if (\think\facade\Session::get('admin') || \think\facade\Cookie::get('login_auto')) {
            $this->redirect('index/index');
            exit;
        }
        return $this->fetch();
    }
    
}
