<?php
// +----------------------------------------------------------------------
// | 框架操作方法不存在压制
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\common\controller;

use think\Controller;

class Emptys extends Controller
{
    protected function initialize()
    {
        parent::initialize();
    }

    // 这里不能做404设置，是用来压制框架操作方法不存时报错的，留空即可
    public function _empty()
    {
    }

    // 真正的404在这里
    protected function __empty() {
        // 关闭模板布局
        $this->view->engine->layout(false);
        
        header('HTTP/1.1 404 Not Found');
        header('status: 404 Not Found');

        $html = $this->fetch('public/404');
        echo $html;
    }
}